-- A basic monster script skeleton you can copy and modify for your own creations.
comments = {"Rose la chimiste vous bloque et\ntente de vous noyer sous\nses connaissances !"}
commands = {"Ignorer", "Chimie", "Critiquer"}
randomdialogue = {"Ininterressant.", "Stupide.", "Ignorant.", "Incapable.","Tsss..."}

sprite = "Rosesprite" --Always PNG. Extension is added automatically.
name = "Rose"
hp = 500
atk = 30
def = 1
fakedef = 30
check = "[color:ff0000]Aime la chimie et les\nproduits quelque peu douteux !"
dialogbubble = "rightwide" -- See documentation for what bubbles you have available.
canspare = false
cancheck = true

posecount = 0

-- Happens after the slash animation but before 
function HandleAttack(attackstatus)
    if attackstatus == -1 then
         --missed attack
         currentdialogue = {"J'ai vu des amibes,\nbeacoup plus\nreactifs que toi !"}
   else
         if hp <= 400 then
               currentdialogue = {"C'est tout ce que\ntu sais faire ?\nSerieusement ?"}
         if hp <= 300 then
		       currentdialogue = {"La chimie n'est pas\npour toi\nj'imagine."}
		 if hp <= 200 then
		       currentdialogue = {"...Desoler mais, nous\nn'avons aucun\natomes crochues !"}	
 if hp <= 160 then
		       currentdialogue = {"Decidement, tu ne\nsembles pas tres..."}

 if hp <= 130 then
		       currentdialogue = {"Apte a comprendre\nmon domaine !"}

 if hp <= 100 then
		       currentdialogue = {"...Je vois, tu ne\n peux donc faire\nmieux...\nTsss..."}

 if hp <= 90 then
		       currentdialogue = {"Tu deteste tant\nla chimie que ca ?..."}	

 if hp <= 60 then
		       currentdialogue = {"...C'est entre toi\net moi !..."}	

 if hp <= 30 then
		       currentdialogue = {"Finisson en !"}		 
		 end
end
end
		 end
		 end
    end  
end
end
end
end
end

function HandleCustomCommand(command)
    if command == "IGNORER" then
        if posecount == 0 then
            currentdialogue = {"Pas si vite."}
            BattleDialog({"Vous l'ignorez."})
        elseif posecount == 1 then
            currentdialogue = {"Toi aussi, tu n'en as\nrien a faire de moi..."}
            BattleDialog({"Vous l'ignorez davantage."})
        elseif posecount == 2 then
            currentdialogue = {"C'est ca, va t'en, je\nn'ai pas besoin de\ntoi !"}
            BattleDialog({"Vous l'ignorez toujours."})
        elseif posecount == 3 then
            currentdialogue = {"...*soupir* C'est\ntoujours pareille\navec vous\nautres..."}
            BattleDialog({"Vous l'ignorez toujours."})
        elseif posecount == 4 then
            currentdialogue = {"...*soupir plaintif* ..."}
            BattleDialog({"Vous l'ignorez toujours."})
        elseif posecount == 5 then
            currentdialogue = {"...*sanglote* ..."}
            BattleDialog({"Vous l'ignorez toujours."})
        elseif posecount == 6 then
            currentdialogue = {"...Et moi qui pensais\nque..."}
            BattleDialog({"Vous l'ignorez toujours."})
        elseif posecount == 7 then
            currentdialogue = {"...tu allais\nm'apprecier ..."}
            BattleDialog({"Vous l'ignorez."})
        elseif posecount == 8 then
            currentdialogue = {"Mais a l'evidence\nje me trompais..."}
            BattleDialog({"Vous l'ignorez."})
        else
            canspare = true
            table.insert(comments, "Rose vous tourne le dos.")
            currentdialogue = {"....."}
            BattleDialog({"Vous l'ignorer de plus belle,\nRose semble triste\net detourne le regard de vous."})
        end
        posecount = posecount + 1
    elseif command == "CHIMIE" then
        currentdialogue = {"Peuh, tu parle a une\nchimiste, tu n'as\npas remarquer ?"}
        BattleDialog({"Vous lui parler de chimie."})
    elseif command == "CRITIQUER" then
        currentdialogue = {"Tsss..."}
        BattleDialog({"Vous trouvez ses cheveux bleu\nhorriblement ridicule."})
    end
end